Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::Basic_StreamCtrl Interface Reference

Base class for StreamCtrl, implements basic stream start and stop functionality. More...

`import "AVStreams.idl";`

Inheritance diagram for AVStreams::Basic_StreamCtrl:

[legend]
List of all members.

## Public Methods
void | stop (in flowSpec the_spec) raises (noSuchFlow)
| Stop the transfer of data of the stream.Empty the_spec means apply operation to all flows. More...
void | start (in flowSpec the_spec) raises (noSuchFlow)
| Start the transfer of data in the stream. Empty the_spec means apply operation to all flows. More...
void | destroy (in flowSpec the_spec) raises (noSuchFlow)
| Tears down the stream. This will close the connection, and delete the streamendpoint and vdev associated with this stream Empty the_spec means apply operation to all flows. More...
boolean | modify_QoS (inout streamQoS new_qos, in flowSpec the_spec) raises (noSuchFlow, QoSRequestFailed)
| Changes the QoS associated with the stream Empty the_spec means apply operation to all flows. More...
oneway void | push_event (in streamEvent the_event)
| Called by StreamEndPoint when something goes wrong with a flow. More...
void | set_FPStatus (in flowSpec the_spec, in string fp_name, in any fp_settings) raises (noSuchFlow, FPError)
| Used to control the flow protocol parameters. More...
Object | get_flow_connection (in string flow_name) raises (noSuchFlow, notSupported)
| Not implemented in the light profile, will raise the notsupported exception. More...
void | set_flow_connection (in string flow_name, in Object flow_connection) raises (noSuchFlow, notSupported)
| Not implemented in the light profile, will raise the notsupported exception. More...

## Detailed Description

Base class for StreamCtrl, implements basic stream start and stop functionality.

## Member Function Documentation

void AVStreams::Basic_StreamCtrl::destroy | ( | in flowSpec | the_spec | ) | raises (noSuchFlow)

| Tears down the stream. This will close the connection, and delete the streamendpoint and vdev associated with this stream Empty the_spec means apply operation to all flows.

Object AVStreams::Basic_StreamCtrl::get_flow_connection | ( | in string | flow_name | ) | raises (noSuchFlow, notSupported)

| Not implemented in the light profile, will raise the notsupported exception.

boolean AVStreams::Basic_StreamCtrl::modify_QoS | ( | inout streamQoS | new_qos,
|  | in flowSpec | the_spec
| ) | raises (noSuchFlow, QoSRequestFailed)

| Changes the QoS associated with the stream Empty the_spec means apply operation to all flows.

oneway void AVStreams::Basic_StreamCtrl::push_event | ( | in streamEvent | the_event | ) |

| Called by StreamEndPoint when something goes wrong with a flow.

void AVStreams::Basic_StreamCtrl::set_flow_connection | ( | in string | flow_name,
|  | in Object | flow_connection
| ) | raises (noSuchFlow, notSupported)

| Not implemented in the light profile, will raise the notsupported exception.

void AVStreams::Basic_StreamCtrl::set_FPStatus | ( | in flowSpec | the_spec,
|  | in string | fp_name,
|  | in any | fp_settings
| ) | raises (noSuchFlow, FPError)

| Used to control the flow protocol parameters.

void AVStreams::Basic_StreamCtrl::start | ( | in flowSpec | the_spec | ) | raises (noSuchFlow)

| Start the transfer of data in the stream. Empty the_spec means apply operation to all flows.

void AVStreams::Basic_StreamCtrl::stop | ( | in flowSpec | the_spec | ) | raises (noSuchFlow)

| Stop the transfer of data of the stream.Empty the_spec means apply operation to all flows.

The documentation for this interface was generated from the following file:

- AVStreams.idl